// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyC2t5o4O786KuNkJREiE2TaBB_mww8ynM4',
    appId: '1:693001008360:web:97406c0028b299e1a8455d',
    messagingSenderId: '693001008360',
    projectId: 'otpveryfaction3',
    authDomain: 'otpveryfaction3.firebaseapp.com',
    storageBucket: 'otpveryfaction3.appspot.com',
    measurementId: 'G-9HP0YBV4GR',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDDdInK-hK_Uziz5mm_02mC_vC-fre0h5s',
    appId: '1:693001008360:android:a133c93cfba60210a8455d',
    messagingSenderId: '693001008360',
    projectId: 'otpveryfaction3',
    storageBucket: 'otpveryfaction3.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBXzVs6mS0KCaQDOi6jSRvZFWXfBC4axX4',
    appId: '1:693001008360:ios:e1a2cb57df8c4ee7a8455d',
    messagingSenderId: '693001008360',
    projectId: 'otpveryfaction3',
    storageBucket: 'otpveryfaction3.appspot.com',
    iosClientId: '693001008360-f581rm3iavbekr2t0fvm6nds7ir34132.apps.googleusercontent.com',
    iosBundleId: 'com.example.grideview',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyBXzVs6mS0KCaQDOi6jSRvZFWXfBC4axX4',
    appId: '1:693001008360:ios:e1a2cb57df8c4ee7a8455d',
    messagingSenderId: '693001008360',
    projectId: 'otpveryfaction3',
    storageBucket: 'otpveryfaction3.appspot.com',
    iosClientId: '693001008360-f581rm3iavbekr2t0fvm6nds7ir34132.apps.googleusercontent.com',
    iosBundleId: 'com.example.grideview',
  );
}
